Raspberry Pi - Bug #567

Error Locking Database With Arch Linux On Raspberry Pi
02/20/2015 06:02 PM - Daniel Curtis

Status: Closed Start date: 02/20/2015
Assignee: Daniel Curtis % Done: 100%
Category: Package Management Estimated time: 0.50 hour
Target version: Arch Linux Spent time: 0.50 hour
Description

| encountered an error right after installing Arch Linux on my Raspberry Pi. The error stated:

:: Synchronizing package databases...

error:
error:
error:
error:
error:
error:
error:
error:

The Fix

failed to update core (unable to lock database)

failed to update extra (unable to lock database)
failed to update community (unable to lock database)
failed to update alarm (unable to lock database)
failed to update aur (unable to lock database)

failed to synchronize any databases

failed to init transaction (unable to lock database)
could not lock database: File exists

The problem turned out to be in the fstab, and that there was not a definition for the root filesystem.

* Open

the fstab file:

vi /etc/fstab

o And make sure the following is present:

/dev/mmcblk0p2 / ext4 defaults 0 0

History

#1 - 02/20/2015 06:02 PM - Daniel Curtis

- Description updated

#2 - 02/20/2015 06:03 PM - Daniel Curtis

- % Done changed from 0 to 100

- Status changed from New to Resolved

#3 - 02/22/2015 05:26 PM - Daniel Curtis

- Category set to Package Management

- Status changed from Resolved to Closed

- Target version set to Arch Linux
